> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Withdraw Build



## OpenAPI

````yaml https://api.yieldo.xyz/openapi.json post /v1/withdraw/build
openapi: 3.1.0
info:
  title: Yieldo API
  description: Cross-chain deposit aggregator for ERC-4626 and custom yield vaults
  version: 1.0.0
servers:
  - url: https://api.yieldo.xyz
    description: Production
security: []
paths:
  /v1/withdraw/build:
    post:
      tags:
        - withdraw
      summary: Withdraw Build
      operationId: withdraw_build_v1_withdraw_build_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WithdrawBuildRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WithdrawBuildResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WithdrawBuildRequest:
      properties:
        vault_id:
          type: string
          title: Vault Id
        shares:
          type: string
          title: Shares
        min_amount_out:
          type: string
          title: Min Amount Out
        user_address:
          type: string
          title: User Address
        nonce:
          type: string
          title: Nonce
        deadline:
          type: string
          title: Deadline
        signature:
          type: string
          title: Signature
        mode:
          type: string
          title: Mode
      type: object
      required:
        - vault_id
        - shares
        - min_amount_out
        - user_address
        - nonce
        - deadline
        - signature
        - mode
      title: WithdrawBuildRequest
    WithdrawBuildResponse:
      properties:
        transaction_request:
          $ref: '#/components/schemas/TransactionRequest'
        approval:
          $ref: '#/components/schemas/ApprovalData'
        mode:
          type: string
          title: Mode
        tracking_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tracking Id
      type: object
      required:
        - transaction_request
        - approval
        - mode
      title: WithdrawBuildResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TransactionRequest:
      properties:
        to:
          type: string
          title: To
        data:
          type: string
          title: Data
        value:
          type: string
          title: Value
        chain_id:
          type: integer
          title: Chain Id
        gas_limit:
          anyOf:
            - type: string
            - type: 'null'
          title: Gas Limit
      type: object
      required:
        - to
        - data
        - value
        - chain_id
      title: TransactionRequest
    ApprovalData:
      properties:
        token_address:
          type: string
          title: Token Address
        spender_address:
          type: string
          title: Spender Address
        amount:
          type: string
          title: Amount
      type: object
      required:
        - token_address
        - spender_address
        - amount
      title: ApprovalData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````